Request
REQUIRED SCOPES
TARGET_ADD
URL PARAMETERS
workspacerequiredstring
The human-readable ID of the workspaceExample: "my-company"
GET PARAMETERS
project_namestring
Filter targets by project nameExample: "my-project"
pipeline_idinteger
Filter targets by pipeline IDExample: 12345
environment_idstring
Filter targets by environment IDExample: "67890"
BODY PARAMETERS
yamlstring
The Base64-encoded YAML definition of the targetResponse
RESPONSE BODY
typestring
The type of the targetValue: GKE
urlread-onlystring
API endpoint to GET this objecthtml_urlread-onlystring
Web URL to view this object in Buddy.worksidstring
The ID of the targetidentifierrequiredstring
A human-readable ID. Alphanumeric characters, underscores, and hyphens (hyphens cannot appear at the start or end).namestring
The name of the targetprojectShortProjectView
Short representation of a projectpipelineShortPipelineView
Short representation of a pipelineenvironmentShortEnvironmentView
Short representation of an environment objectpermissionsPermissionsView
Access permissions configurationpipelines_access_levelstring enum
Pipelines access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_pipelinesAllowedPipelineView[]
List of specific pipelines allowed to use this targetsandboxes_access_levelstring enum
Sandboxes access level for this targetAllowed enum:
DENIED,READ_ONLY,USE_ONLY,BLIND,RUN_ONLY,READ_WRITE,MANAGE,DEFAULT,ALLOWED,STAGE,COMMITallowed_sandboxesAllowedSandboxView[]
List of specific sandboxes allowed to use this targetdisabledboolean
Indicates if this target is disabled (default: false)tagsstring[]
The list of tags associated with the targetConstraints: Unique items required
use_asUseAsView
Defines how the target can be used (as deployment target, proxy, or both)notestring
Note for this resourceagent_notestring
YAML note for AI agents operating on this resourceintegrationrequiredstring
The integration. Required when adding GKE/EKS/AKS/DOKSclusterrequiredstring
The ID of the cluster or fully qualified identifier for the clusterregionstring
Cloud region of the cluster, e.g. eu-central-1 (EKS), us-central1 (GKE), eastus (AKS), nyc1 (DOKS)proxyTargetK8sProxyView
SSH proxy target for tunneling to private MSSQL serverszonerequiredstring
GKE zone. E.g., europe-west3-aproject_idrequiredstring
The ID of the Google Cloud project. Required for GOOGLE_SERVICE_ACCOUNT integration type with OIDC auth_typeLast modified on Aug 13, 2026
Request example
CURLcurl -X POST "https://api.buddy.works/workspaces/:workspace/targets/yaml" \ -H "Authorization: Bearer <YOUR-TOKEN>" \ -H "Content-Type: application/json"
STATUS201 Created